%global commit 2dbbbb758f72c7665f590feec7f84e855c7b9951
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           eclipse-m2e-buildhelper
Version:        0.15.0
Release:        0.1.git%{shortcommit}%{?dist}
Summary:        M2E Build Helper connector
License:        EPL
URL:            https://github.com/tesla/m2eclipse-buildhelper/
BuildArch:      noarch

Source0:        https://github.com/tesla/m2eclipse-buildhelper/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(io.tesla.tycho:tycho-support:pom:)
BuildRequires:  osgi(org.eclipse.m2e.core)
BuildRequires:  osgi(org.eclipse.m2e.jdt)

%description
This package provides Build Helper connector for Eclipse M2E.

%prep
%setup -q -n m2eclipse-buildhelper-%{commit}
find -name *.jar -delete

# Tests are skipped because of missing dependencies:
# osgi(org.eclipse.m2e.tests.common)
%pom_disable_module org.sonatype.m2e.buildhelper.tests

%build
%mvn_build -i -j

%install
install -d -m 755 %{buildroot}%{_datadir}/eclipse/dropins/%{name}
cp -a eclipse %{buildroot}%{_datadir}/eclipse/dropins/%{name}/

%files
%doc org.sonatype.m2e.buildhelper.feature/license.html
%{_datadir}/eclipse/dropins/%{name}

%changelog
* Tue Jan 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.15.0-0.1.git2dbbbb7
- Initial commit
